Package: org.apache.groovy.groovysh

## [Groovy] Class RigidParser

- org.apache.groovy.groovysh.RigidParser

- All Implemented Interfaces and Traits:
    Parsing

      final class RigidParser
      extends Object
      implements Parsing

  A more rigid parser which catches more syntax errors, but also tends to barf on stuff that is really valid from time to time.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static String` | `SCRIPT_FILENAME`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RigidParser()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static boolean` | `hasUnmatchedOpenBracketOrParen(String source)`
    `` | `static boolean` | `ignoreSyntaxErrorForLineEnding(String line)`
    `` | `static boolean` | `isAnnotationExpression(CompilationFailedException e, String line)`
    `` | `ParseStatus` | `parse(Collection<String> buffer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### static final String SCRIPT_FILENAME

  - ### Constructor Detail

    - #### RigidParser()

  - ### Method Detail

    - #### static boolean hasUnmatchedOpenBracketOrParen(String source)

    - #### static boolean ignoreSyntaxErrorForLineEnding(String line)

    - #### static boolean isAnnotationExpression(CompilationFailedException e, String line)

    - #### @Override
      ParseStatus parse(Collection<String> buffer)